<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMRFODEMapDataViewBase from './emrfodemap-data-view-base.vue';

import view_dataview from '@widgets/emrfodemap/card-dataview/card-dataview.vue';

/**
 * 现象引用数据视图
 *
 * @export
 * @class EMRFODEMapDataView
 * @extends {EMRFODEMapDataViewBase}
 */
@Component({
    components: {
        view_dataview, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMRFODEMapDataView extends EMRFODEMapDataViewBase { }
</script>